<?
	/*
		network.php
		
		Network function library

		Copyright (C) 2000 Contributors of the QuakeForge Project
		Please see the file "AUTHORS" for a list of contributors

		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

		See the GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA.
	*/

	/*
		finger
		
		Connect to a finger daemon and get information about a user.
	*/
	function finger( $user, $host )
	{
   	$fp = fsockopen( $host, 79, &$errno, &$errstr ) or die( "$errno: $errstr" );
		fputs( $fp, "$user\n" );
		while ( !feof( $fp ) ) {
			echo fgets( $fp, 128 );
		}
		fclose( $fp );
	}

?>
