<?php
	/*
		graph.php
		
		Graphing function library

		Copyright (C) 2000 Contributors of the QuakeForge Project
		Please see the file "AUTHORS" for a list of contributors

		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

		See the GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA.
	*/

	/*
		barGraph
		
		Return HTML for a 0-100% meter 250 pixels wide and 10 pixels high.
	*/
	function barGraph( $pct )
	{
		$newPct = $pct - ($pct % 2);
		$i = $pct;
		$j = 100 - $newPct;
		$result = '';
		for ( ; $i >= 20 ; $i -= 20 ) {
			$result .= '<IMG src="/img/graph/ProgressBar.20.white.gif" vAlign="center" width="50" height="10" border="0" alt=" ">';
		}
		for ( ; $i >= 10 ; $i -= 10 ) {
			$result .= '<IMG src="/img/graph/ProgressBar.10.white.gif" vAlign="center" width="25" height="10" border="0" alt=" ">';
		}
		for ( ; $i >= 2 ; $i -= 2 ) {
			$result .= '<IMG src="/img/graph/ProgressBar.2.white.gif" vAlign="center" width="5" height="10" border="0" alt=" ">';
		}
		for ( ; $j >= 20 ; $j -= 20 ) {
			$result .= '<IMG src="/img/graph/ProgressBar.20.gray.gif" vAlign="center" width="50" height="10" border="0" alt=" ">';
		}
		for ( ; $j >= 10 ; $j -= 10 ) {
			$result .= '<IMG src="/img/graph/ProgressBar.10.gray.gif" vAlign="center" width="25" height="10" border="0" alt=" ">';
		}
		for ( ; $j >= 2 ; $j -= 2 ) {
			$result .= '<IMG src="/img/graph/ProgressBar.2.gray.gif" vAlign="center" width="5" height="10" border="0" alt=" ">';
		}
		return $result;
	}
?>
